<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Mail;

use App\Mail\OrderRequestApprove;
use App\Models\Service;

class OrderSend extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'order:send {service : Service ID}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Send an order to a supplier';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $so = Service::findOrFail($this->argument('service'));

		Mail::to(config('osb.ticket_admin'))
			->sendNow(new OrderRequestApprove($so));

		if (Mail::failures()) {
			dump('Failure?');

			dump(Mail::failures());
		}

		$so->order_status = 'ORDER-SENT';
		$so->save();
    }
}